ADAM_2.12: Core 1.0.1 API < Back
 

# Packages

-  package root
  Definition Classes
    root
-  package org
  Definition Classes
    root
-  package bdgenomics
  Definition Classes
    org
-  package adam
  Definition Classes
    bdgenomics
-  package ds
  Definition Classes
    adam
-  package sequence
  Definition Classes
    ds
- DatasetBoundSequenceDataset
- DatasetBoundSliceDataset
- FASTAInFormatter
- ParquetUnboundSequenceDataset
- ParquetUnboundSliceDataset
- RDDBoundSequenceDataset
- RDDBoundSliceDataset
- SequenceDataset
- SliceDataset

c

org.bdgenomics.adam.ds.sequence

# DatasetBoundSequenceDataset 

###

#### case class DatasetBoundSequenceDataset extends SequenceDataset with DatasetBoundGenomicDataset[Sequence, Sequence, SequenceDataset] with Product with Serializable

Linear Supertypes
Serializable, Serializable, Product, Equals, DatasetBoundGenomicDataset[Sequence, Sequence, SequenceDataset], SequenceDataset, MultisampleGenomicDataset[Sequence, Sequence, SequenceDataset], AvroGenomicDataset[Sequence, Sequence, SequenceDataset], GenomicDataset[Sequence, Sequence, SequenceDataset], Logging, AnyRef, Any
 
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. DatasetBoundSequenceDataset
2. Serializable
3. Serializable
4. Product
5. Equals
6. DatasetBoundGenomicDataset
7. SequenceDataset
8. MultisampleGenomicDataset
9. AvroGenomicDataset
10. GenomicDataset
11. Logging
12. AnyRef
13. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##(): Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  def addReference(referenceToAdd: SequenceRecord): SequenceDataset

   Appends metadata for a single reference sequence to the current genomic dataset.

   Appends metadata for a single reference sequence to the current genomic dataset.

   referenceToAdd

     The reference sequence to add.

   returns

     Returns a new GenomicDataset with this reference sequence appended.

   Definition Classes
     GenomicDataset
5.  def addReferences(referencesToAdd: SequenceDictionary): SequenceDataset

   Appends reference sequence metadata to the current genomic dataset.

   Appends reference sequence metadata to the current genomic dataset.

   referencesToAdd

     The new reference sequences to append.

   returns

     Returns a new GenomicDataset with the reference sequences appended.

   Definition Classes
     GenomicDataset
6.  def addSample(sampleToAdd: Sample): SequenceDataset

   Adds a single sample to the current genomic dataset.

   Adds a single sample to the current genomic dataset.

   sampleToAdd

     A single sample to add.

   returns

     Returns a new genomic dataset with this sample added.

   Definition Classes
     MultisampleGenomicDataset
7.  def addSamples(samplesToAdd: Iterable[Sample]): SequenceDataset

   Adds samples to the current genomic dataset.

   Adds samples to the current genomic dataset.

   samplesToAdd

     Zero or more samples to add.

   returns

     Returns a new genomic dataset with samples added.

   Definition Classes
     MultisampleGenomicDataset
8.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
9.  def broadcast()(implicit tTag: ClassTag[Sequence]): GenomicBroadcast[Sequence, Sequence, SequenceDataset]
   Definition Classes
     GenomicDataset
10.  def broadcastRegionJoin[X, Y <: Product, Z <: GenomicDataset[X, Y, Z]](genomicDataset: GenomicDataset[X, Y, Z])(implicit tTag: ClassTag[Sequence], xTag: ClassTag[X], txTag: ClassTag[(Sequence, X)], uyTag: scala.reflect.api.JavaUniverse.TypeTag[(Sequence, Y)]): GenericGenomicDataset[(Sequence, X), (Sequence, Y)]

    Performs a broadcast inner join between this genomic dataset and another genomic dataset.

    Performs a broadcast inner join between this genomic dataset and another genomic dataset.

    In a broadcast join, the left genomic dataset (this genomic dataset) is collected to the driver, and broadcast to all the nodes in the cluster. The key equality function used for this join is the reference region overlap function. Since this is an inner join, all values who do not overlap a value from the other genomic dataset are dropped.

    genomicDataset

      The right genomic dataset in the join.

    returns

      Returns a new genomic dataset containing all pairs of keys that overlapped in the genomic coordinate space.

    Definition Classes
      GenomicDataset
    See also

      broadcastRegionJoinAgainst

11.  def broadcastRegionJoin[X, Y <: Product, Z <: GenomicDataset[X, Y, Z]](genomicDataset: GenomicDataset[X, Y, Z], flankSize: Long)(implicit tTag: ClassTag[Sequence], xTag: ClassTag[X], txTag: ClassTag[(Sequence, X)], uyTag: scala.reflect.api.JavaUniverse.TypeTag[(Sequence, Y)]): GenericGenomicDataset[(Sequence, X), (Sequence, Y)]

    Performs a broadcast inner join between this genomic dataset and another genomic dataset.

    Performs a broadcast inner join between this genomic dataset and another genomic dataset.

    In a broadcast join, the left genomic dataset (this genomic dataset) is collected to the driver, and broadcast to all the nodes in the cluster. The key equality function used for this join is the reference region overlap function. Since this is an inner join, all values who do not overlap a value from the other genomic dataset are dropped.

    genomicDataset

      The right genomic dataset in the join.

    flankSize

      Sets a flankSize for the distance between elements to be joined. If set to 0, an overlap is required to join two elements.

    returns

      Returns a new genomic dataset containing all pairs of keys that overlapped in the genomic coordinate space.

    Definition Classes
      GenomicDataset
    See also

      broadcastRegionJoinAgainst

12.  def broadcastRegionJoin[X, Y <: Product, Z <: GenomicDataset[X, Y, Z]](genomicDataset: GenomicDataset[X, Y, Z], flankSize: Integer): GenericGenomicDataset[(Sequence, X), (Sequence, Y)]

    (Java-specific) Performs a broadcast inner join between this genomic dataset and another genomic dataset.

    (Java-specific) Performs a broadcast inner join between this genomic dataset and another genomic dataset.

    In a broadcast join, the left genomic dataset (this genomic dataset) is collected to the driver, and broadcast to all the nodes in the cluster. The key equality function used for this join is the reference region overlap function. Since this is an inner join, all values who do not overlap a value from the other genomic dataset are dropped.

    genomicDataset

      The right genomic dataset in the join.

    flankSize

      Sets a flankSize for the distance between elements to be joined. If set to 0, an overlap is required to join two elements.

    returns

      Returns a new genomic dataset containing all pairs of keys that overlapped in the genomic coordinate space.

    Definition Classes
      GenomicDataset
13.  def broadcastRegionJoin[X, Y <: Product, Z <: GenomicDataset[X, Y, Z]](genomicDataset: GenomicDataset[X, Y, Z], flankSize: Double): GenericGenomicDataset[(Sequence, X), (Sequence, Y)]

    (R-specific) Performs a broadcast inner join between this genomic dataset and another genomic dataset.

    (R-specific) Performs a broadcast inner join between this genomic dataset and another genomic dataset.

    In a broadcast join, the left genomic dataset (this genomic dataset) is collected to the driver, and broadcast to all the nodes in the cluster. The key equality function used for this join is the reference region overlap function. Since this is an inner join, all values who do not overlap a value from the other genomic dataset are dropped.

    genomicDataset

      The right genomic dataset in the join.

    flankSize

      Sets a flankSize for the distance between elements to be joined. If set to 0, an overlap is required to join two elements.

    returns

      Returns a new genomic dataset containing all pairs of keys that overlapped in the genomic coordinate space.

    Definition Classes
      GenomicDataset
14.  def broadcastRegionJoinAgainst[X, Y <: Product, Z <: GenomicDataset[X, Y, Z]](broadcast: GenomicBroadcast[X, Y, Z])(implicit tTag: ClassTag[Sequence], xTag: ClassTag[X], uyTag: scala.reflect.api.JavaUniverse.TypeTag[(Y, Sequence)]): GenericGenomicDataset[(X, Sequence), (Y, Sequence)]

    Performs a broadcast inner join between this genomic dataset and data that has been broadcast.

    Performs a broadcast inner join between this genomic dataset and data that has been broadcast.

    In a broadcast join, the left side of the join (broadcastTree) is broadcast to to all the nodes in the cluster. The key equality function used for this join is the reference region overlap function. Since this is an inner join, all values who do not overlap a value from the other genomic dataset are dropped. As compared to broadcastRegionJoin, this function allows the broadcast object to be reused across multiple joins.

    broadcast

      The data on the left side of the join.

    returns

      Returns a new genomic dataset containing all pairs of keys that overlapped in the genomic coordinate space.

    Definition Classes
      GenomicDataset
    Note

      This function differs from other region joins as it treats the calling genomic dataset as the right side of the join, and not the left.

    See also

      broadcastRegionJoin

15.  def broadcastRegionJoinAgainstAndGroupByRight[X, Y <: Product, Z <: GenomicDataset[X, Y, Z]](broadcast: GenomicBroadcast[X, Y, Z])(implicit tTag: ClassTag[Sequence], xTag: ClassTag[X], syuTag: scala.reflect.api.JavaUniverse.TypeTag[(Seq[Y], Sequence)]): GenericGenomicDataset[(Iterable[X], Sequence), (Seq[Y], Sequence)]

    Performs a broadcast inner join between this genomic dataset and another genomic dataset.

    Performs a broadcast inner join between this genomic dataset and another genomic dataset.

    In a broadcast join, the left side of the join (broadcastTree) is broadcast to to all the nodes in the cluster. The key equality function used for this join is the reference region overlap function. Since this is an inner join, all values who do not overlap a value from the other genomic dataset are dropped. As compared to broadcastRegionJoin, this function allows the broadcast object to be reused across multiple joins.

    broadcast

      The data on the left side of the join.

    returns

      Returns a new genomic dataset containing all pairs of keys that overlapped in the genomic coordinate space.

    Definition Classes
      GenomicDataset
    Note

      This function differs from other region joins as it treats the calling genomic dataset as the right side of the join, and not the left.

    See also

      broadcastRegionJoinAndGroupByRight

16.  def broadcastRegionJoinAndGroupByRight[X, Y <: Product, Z <: GenomicDataset[X, Y, Z]](genomicDataset: GenomicDataset[X, Y, Z])(implicit tTag: ClassTag[Sequence], xTag: ClassTag[X], itxTag: ClassTag[(Iterable[Sequence], X)], iuyTag: scala.reflect.api.JavaUniverse.TypeTag[(Seq[Sequence], Y)]): GenericGenomicDataset[(Iterable[Sequence], X), (Seq[Sequence], Y)]

    Performs a broadcast inner join between this genomic dataset and another genomic dataset.

    Performs a broadcast inner join between this genomic dataset and another genomic dataset.

    In a broadcast join, the left genomic dataset (this genomic dataset) is collected to the driver, and broadcast to all the nodes in the cluster. The key equality function used for this join is the reference region overlap function. Since this is an inner join, all values who do not overlap a value from the other genomic dataset are dropped.

    genomicDataset

      The right genomic dataset in the join.

    returns

      Returns a new genomic dataset containing all pairs of keys that overlapped in the genomic coordinate space.

    Definition Classes
      GenomicDataset
    See also

      broadcastRegionJoinAgainstAndGroupByRight

17.  def broadcastRegionJoinAndGroupByRight[X, Y <: Product, Z <: GenomicDataset[X, Y, Z]](genomicDataset: GenomicDataset[X, Y, Z], flankSize: Long)(implicit tTag: ClassTag[Sequence], xTag: ClassTag[X], itxTag: ClassTag[(Iterable[Sequence], X)], iuyTag: scala.reflect.api.JavaUniverse.TypeTag[(Seq[Sequence], Y)]): GenericGenomicDataset[(Iterable[Sequence], X), (Seq[Sequence], Y)]

    Performs a broadcast inner join between this genomic dataset and another genomic dataset.

    Performs a broadcast inner join between this genomic dataset and another genomic dataset.

    In a broadcast join, the left genomic dataset (this genomic dataset) is collected to the driver, and broadcast to all the nodes in the cluster. The key equality function used for this join is the reference region overlap function. Since this is an inner join, all values who do not overlap a value from the other genomic dataset are dropped.

    genomicDataset

      The right genomic dataset in the join.

    flankSize

      Sets a flankSize for the distance between elements to be joined. If set to 0, an overlap is required to join two elements.

    returns

      Returns a new genomic dataset containing all pairs of keys that overlapped in the genomic coordinate space.

    Definition Classes
      GenomicDataset
    See also

      broadcastRegionJoinAgainstAndGroupByRight

18.  def broadcastRegionJoinAndGroupByRight[X, Y <: Product, Z <: GenomicDataset[X, Y, Z]](genomicDataset: GenomicDataset[X, Y, Z], flankSize: Integer): GenericGenomicDataset[(Iterable[Sequence], X), (Seq[Sequence], Y)]

    (Java-specific) Performs a broadcast inner join between this genomic dataset and another genomic dataset.

    (Java-specific) Performs a broadcast inner join between this genomic dataset and another genomic dataset.

    In a broadcast join, the left genomic dataset (this genomic dataset) is collected to the driver, and broadcast to all the nodes in the cluster. The key equality function used for this join is the reference region overlap function. Since this is an inner join, all values who do not overlap a value from the other genomic dataset are dropped.

    genomicDataset

      The right genomic dataset in the join.

    flankSize

      Sets a flankSize for the distance between elements to be joined. If set to 0, an overlap is required to join two elements.

    returns

      Returns a new genomic dataset containing all pairs of keys that overlapped in the genomic coordinate space.

    Definition Classes
      GenomicDataset
    See also

      broadcastRegionJoinAgainstAndGroupByRight

19.  def broadcastRegionJoinAndGroupByRight[X, Y <: Product, Z <: GenomicDataset[X, Y, Z]](genomicDataset: GenomicDataset[X, Y, Z], flankSize: Double): GenericGenomicDataset[(Iterable[Sequence], X), (Seq[Sequence], Y)]

    (R-specific) Performs a broadcast inner join between this genomic dataset and another genomic dataset.

    (R-specific) Performs a broadcast inner join between this genomic dataset and another genomic dataset.

    In a broadcast join, the left genomic dataset (this genomic dataset) is collected to the driver, and broadcast to all the nodes in the cluster. The key equality function used for this join is the reference region overlap function. Since this is an inner join, all values who do not overlap a value from the other genomic dataset are dropped.

    genomicDataset

      The right genomic dataset in the join.

    flankSize

      Sets a flankSize for the distance between elements to be joined. If set to 0, an overlap is required to join two elements.

    returns

      Returns a new genomic dataset containing all pairs of keys that overlapped in the genomic coordinate space.

    Definition Classes
      GenomicDataset
    See also

      broadcastRegionJoinAgainstAndGroupByRight

20.  def buildTree(rdd: RDD[(ReferenceRegion, Sequence)])(implicit tTag: ClassTag[Sequence]): IntervalArray[ReferenceRegion, Sequence]
    Attributes
      protected
    Definition Classes
      SequenceDataset → GenomicDataset
21.  def cache(): SequenceDataset

    Caches underlying RDD in memory.

    Caches underlying RDD in memory.

    returns

      Cached GenomicDataset.

    Definition Classes
      DatasetBoundGenomicDataset → GenomicDataset
22.  def clone(): AnyRef
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( ... ) @native() @HotSpotIntrinsicCandidate()
23.  def countKmers(kmerLength: Integer): JavaRDD[(String, Long)]

    (Java-specific) Cuts sequences into _k_-mers, and then counts the number of occurrences of each _k_-mer.

    (Java-specific) Cuts sequences into _k_-mers, and then counts the number of occurrences of each _k_-mer.

    kmerLength

      The value of _k_ to use for cutting _k_-mers.

    returns

      Returns an JavaRDD containing k-mer/count pairs.

    Definition Classes
      SequenceDataset
24.  def countKmers(kmerLength: Int): RDD[(String, Long)]

    (Scala-specific) Cuts sequences into _k_-mers, and then counts the number of occurrences of each _k_-mer.

    (Scala-specific) Cuts sequences into _k_-mers, and then counts the number of occurrences of each _k_-mer.

    kmerLength

      The value of _k_ to use for cutting _k_-mers.

    returns

      Returns an RDD containing k-mer/count pairs.

    Definition Classes
      SequenceDataset
25.  def countKmersAsDataset(kmerLength: Int): Dataset[(String, Long)]

    Cuts sequences into _k_-mers, and then counts the number of occurrences of each _k_-mer as a Dataset.

    Cuts sequences into _k_-mers, and then counts the number of occurrences of each _k_-mer as a Dataset.

    kmerLength

      The value of _k_ to use for cutting _k_-mers.

    returns

      Returns a Dataset containing k-mer/count pairs.

    Definition Classes
      SequenceDataset
26.  def createReferences(): SequenceDataset

    Replace the references for this SequenceDataset with those created from the sequences in this SequenceDataset.

    Replace the references for this SequenceDataset with those created from the sequences in this SequenceDataset.

    returns

      Returns a new SequenceDataset with the references replaced.

    Definition Classes
      SequenceDataset
27.  val dataset: Dataset[Sequence]

    These data as a Spark SQL Dataset.

    These data as a Spark SQL Dataset.

    Definition Classes
      DatasetBoundSequenceDataset → GenomicDataset
28.  def debug(mkr: Marker, msg: ⇒ Any, t: ⇒ Throwable): Unit
    Attributes
      protected
    Definition Classes
      Logging
29.  def debug(msg: ⇒ Any, t: ⇒ Throwable): Unit
    Attributes
      protected
    Definition Classes
      Logging
30.  def debug(msg: ⇒ Any): Unit
    Attributes
      protected
    Definition Classes
      Logging
31.  final def eq(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
32.  def error(mkr: Marker, msg: ⇒ Any, t: ⇒ Throwable): Unit
    Attributes
      protected
    Definition Classes
      Logging
33.  def error(msg: ⇒ Any, t: ⇒ Throwable): Unit
    Attributes
      protected
    Definition Classes
      Logging
34.  def error(msg: ⇒ Any): Unit
    Attributes
      protected
    Definition Classes
      Logging
35.  def filterByOverlappingRegion(query: ReferenceRegion): SequenceDataset

    Runs a filter that selects data in the underlying RDD that overlaps a single genomic region.

    Runs a filter that selects data in the underlying RDD that overlaps a single genomic region.

    query

      The region to query for.

    returns

      Returns a new GenomicDataset containing only data that overlaps the query region.

    Definition Classes
      GenomicDataset
36.  def filterByOverlappingRegions(querys: Iterable[ReferenceRegion]): SequenceDataset

    (Scala-specific) Runs a filter that selects data in the underlying RDD that overlaps several genomic regions.

    (Scala-specific) Runs a filter that selects data in the underlying RDD that overlaps several genomic regions.

    querys

      The regions to query for.

    returns

      Returns a new GenomicDataset containing only data that overlaps the querys region.

    Definition Classes
      DatasetBoundGenomicDataset → GenomicDataset
37.  def filterByOverlappingRegions(querys: Iterable[ReferenceRegion]): SequenceDataset

    (Java-specific) Runs a filter that selects data in the underlying RDD that overlaps several genomic regions.

    (Java-specific) Runs a filter that selects data in the underlying RDD that overlaps several genomic regions.

    querys

      The regions to query for.

    returns

      Returns a new GenomicDataset containing only data that overlaps the querys region.

    Definition Classes
      GenomicDataset
38.  def filterToSample(sampleId: String): SequenceDataset

    Filter this SequenceDataset by sample to those that match the specified sample.

    Filter this SequenceDataset by sample to those that match the specified sample.

    sampleId

      Sample to filter by. return SequenceDataset filtered by sample.

    Definition Classes
      SequenceDataset
39.  def filterToSamples(sampleIds: Seq[String]): SequenceDataset

    (Scala-specific) Filter this SequenceDataset by sample to those that match the specified samples.

    (Scala-specific) Filter this SequenceDataset by sample to those that match the specified samples.

    sampleIds

      Sequence of samples to filter by. return SequenceDataset filtered by one or more samples.

    Definition Classes
      SequenceDataset
40.  def filterToSamples(sampleIds: List[String]): SequenceDataset

    (Java-specific) Filter this SequenceDataset by sample to those that match the specified samples.

    (Java-specific) Filter this SequenceDataset by sample to those that match the specified samples.

    sampleIds

      List of samples to filter by. return SequenceDataset filtered by one or more samples.

    Definition Classes
      SequenceDataset
41.  def flattenRddByRegions(): RDD[(ReferenceRegion, Sequence)]
    Attributes
      protected
    Definition Classes
      GenomicDataset
42.  def fullOuterShuffleRegionJoin[X, Y <: Product, Z <: GenomicDataset[X, Y, Z]](genomicDataset: GenomicDataset[X, Y, Z])(implicit tTag: ClassTag[Sequence], xTag: ClassTag[X], otoxTag: ClassTag[(Option[Sequence], Option[X])], ouoyTag: scala.reflect.api.JavaUniverse.TypeTag[(Option[Sequence], Option[Y])]): GenericGenomicDataset[(Option[Sequence], Option[X]), (Option[Sequence], Option[Y])]

    Performs a sort-merge full outer join between this genomic dataset and another genomic dataset.

    Performs a sort-merge full outer join between this genomic dataset and another genomic dataset.

    In a sort-merge join, both genomic datasets are co-partitioned and sorted. The partitions are then zipped, and we do a merge join on each partition. The key equality function used for this join is the reference region overlap function. Since this is a full outer join, if a value from either genomic dataset does not overlap any values in the other genomic dataset, it will be paired with a `None` in the product of the join.

    genomicDataset

      The right genomic dataset in the join.

    returns

      Returns a new genomic dataset containing all pairs of keys that overlapped in the genomic coordinate space, and values that did not overlap will be paired with a `None`.

    Definition Classes
      GenomicDataset
43.  def fullOuterShuffleRegionJoin[X, Y <: Product, Z <: GenomicDataset[X, Y, Z]](genomicDataset: GenomicDataset[X, Y, Z], flankSize: Long)(implicit tTag: ClassTag[Sequence], xTag: ClassTag[X], otoxTag: ClassTag[(Option[Sequence], Option[X])], ouoyTag: scala.reflect.api.JavaUniverse.TypeTag[(Option[Sequence], Option[Y])]): GenericGenomicDataset[(Option[Sequence], Option[X]), (Option[Sequence], Option[Y])]

    Performs a sort-merge full outer join between this genomic dataset and another genomic dataset.

    Performs a sort-merge full outer join between this genomic dataset and another genomic dataset.

    In a sort-merge join, both genomic datasets are co-partitioned and sorted. The partitions are then zipped, and we do a merge join on each partition. The key equality function used for this join is the reference region overlap function. Since this is a full outer join, if a value from either genomic dataset does not overlap any values in the other genomic dataset, it will be paired with a `None` in the product of the join.

    genomicDataset

      The right genomic dataset in the join.

    flankSize

      Sets a flankSize for the distance between elements to be joined. If set to 0, an overlap is required to join two elements.

    returns

      Returns a new genomic dataset containing all pairs of keys that overlapped in the genomic coordinate space, and values that did not overlap will be paired with a `None`.

    Definition Classes
      GenomicDataset
44.  def fullOuterShuffleRegionJoin[X, Y <: Product, Z <: GenomicDataset[X, Y, Z]](genomicDataset: GenomicDataset[X, Y, Z], flankSize: Integer): GenericGenomicDataset[(Option[Sequence], Option[X]), (Option[Sequence], Option[Y])]

    (Python-specific) Performs a sort-merge full outer join between this genomic dataset and another genomic dataset.

    (Python-specific) Performs a sort-merge full outer join between this genomic dataset and another genomic dataset.

    In a sort-merge join, both genomic datasets are co-partitioned and sorted. The partitions are then zipped, and we do a merge join on each partition. The key equality function used for this join is the reference region overlap function. Since this is a full outer join, if a value from either genomic dataset does not overlap any values in the other genomic dataset, it will be paired with a `None` in the product of the join.

    genomicDataset

      The right genomic dataset in the join.

    flankSize

      Sets a flankSize for the distance between elements to be joined. If set to 0, an overlap is required to join two elements.

    returns

      Returns a new genomic dataset containing all pairs of keys that overlapped in the genomic coordinate space, and values that did not overlap will be paired with a `None`.

    Definition Classes
      GenomicDataset
45.  def fullOuterShuffleRegionJoin[X, Y <: Product, Z <: GenomicDataset[X, Y, Z]](genomicDataset: GenomicDataset[X, Y, Z], flankSize: Double): GenericGenomicDataset[(Option[Sequence], Option[X]), (Option[Sequence], Option[Y])]

    (R-specific) Performs a sort-merge full outer join between this genomic dataset and another genomic dataset.

    (R-specific) Performs a sort-merge full outer join between this genomic dataset and another genomic dataset.

    In a sort-merge join, both genomic datasets are co-partitioned and sorted. The partitions are then zipped, and we do a merge join on each partition. The key equality function used for this join is the reference region overlap function. Since this is a full outer join, if a value from either genomic dataset does not overlap any values in the other genomic dataset, it will be paired with a `None` in the product of the join.

    genomicDataset

      The right genomic dataset in the join.

    flankSize

      Sets a flankSize for the distance between elements to be joined. If set to 0, an overlap is required to join two elements.

    returns

      Returns a new genomic dataset containing all pairs of keys that overlapped in the genomic coordinate space, and values that did not overlap will be paired with a `None`.

    Definition Classes
      GenomicDataset
46.  final def getClass(): Class[_]
    Definition Classes
      AnyRef → Any
    Annotations
      @native() @HotSpotIntrinsicCandidate()
47.  def getReferenceRegions(sequence: Sequence): Seq[ReferenceRegion]

    sequence

      Sequence to extract a region from.

    returns

      Returns a reference region that covers the entirety of the sequence.

    Attributes
      protected
    Definition Classes
      SequenceDataset → GenomicDataset
48.  def info(mkr: Marker, msg: ⇒ Any, t: ⇒ Throwable): Unit
    Attributes
      protected
    Definition Classes
      Logging
49.  def info(msg: ⇒ Any, t: ⇒ Throwable): Unit
    Attributes
      protected
    Definition Classes
      Logging
50.  def info(msg: ⇒ Any): Unit
    Attributes
      protected
    Definition Classes
      Logging
51.  def isDebugEnabled: Boolean
    Attributes
      protected
    Definition Classes
      Logging
52.  def isErrorEnabled: Boolean
    Attributes
      protected
    Definition Classes
      Logging
53.  def isInfoEnabled: Boolean
    Attributes
      protected
    Definition Classes
      Logging
54.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
55.  val isPartitioned: Boolean
    Definition Classes
      DatasetBoundSequenceDataset → DatasetBoundGenomicDataset
56.  def isSorted: Boolean
    Definition Classes
      GenomicDataset
57.  def isTraceEnabled: Boolean
    Attributes
      protected
    Definition Classes
      Logging
58.  def isWarnEnabled: Boolean
    Attributes
      protected
    Definition Classes
      Logging
59.  lazy val jrdd: JavaRDD[Sequence]

    The underlying RDD of genomic data, as a JavaRDD.

    The underlying RDD of genomic data, as a JavaRDD.

    Definition Classes
      GenomicDataset
60.  def leftOuterShuffleRegionJoin[X, Y <: Product, Z <: GenomicDataset[X, Y, Z]](genomicDataset: GenomicDataset[X, Y, Z])(implicit tTag: ClassTag[Sequence], xTag: ClassTag[X], toxTag: ClassTag[(Sequence, Option[X])], uoyTag: scala.reflect.api.JavaUniverse.TypeTag[(Sequence, Option[Y])]): GenericGenomicDataset[(Sequence, Option[X]), (Sequence, Option[Y])]

    Performs a sort-merge left outer join between this genomic dataset and another genomic dataset.

    Performs a sort-merge left outer join between this genomic dataset and another genomic dataset.

    In a sort-merge join, both genomic datasets are co-partitioned and sorted. The partitions are then zipped, and we do a merge join on each partition. The key equality function used for this join is the reference region overlap function. Since this is a left outer join, all values in the right genomic dataset that do not overlap a value from the left genomic dataset are dropped. If a value from the left genomic dataset does not overlap any values in the right genomic dataset, it will be paired with a `None` in the product of the join.

    genomicDataset

      The right genomic dataset in the join.

    returns

      Returns a new genomic dataset containing all pairs of keys that overlapped in the genomic coordinate space, and all keys from the left genomic dataset that did not overlap a key in the right genomic dataset.

    Definition Classes
      GenomicDataset
61.  def leftOuterShuffleRegionJoin[X, Y <: Product, Z <: GenomicDataset[X, Y, Z]](genomicDataset: GenomicDataset[X, Y, Z], flankSize: Long)(implicit tTag: ClassTag[Sequence], xTag: ClassTag[X], toxTag: ClassTag[(Sequence, Option[X])], uoyTag: scala.reflect.api.JavaUniverse.TypeTag[(Sequence, Option[Y])]): GenericGenomicDataset[(Sequence, Option[X]), (Sequence, Option[Y])]

    Performs a sort-merge left outer join between this genomic dataset and another genomic dataset.

    Performs a sort-merge left outer join between this genomic dataset and another genomic dataset.

    In a sort-merge join, both genomic datasets are co-partitioned and sorted. The partitions are then zipped, and we do a merge join on each partition. The key equality function used for this join is the reference region overlap function. Since this is a left outer join, all values in the right genomic dataset that do not overlap a value from the left genomic dataset are dropped. If a value from the left genomic dataset does not overlap any values in the right genomic dataset, it will be paired with a `None` in the product of the join.

    genomicDataset

      The right genomic dataset in the join.

    flankSize

      Sets a flankSize for the distance between elements to be joined. If set to 0, an overlap is required to join two elements.

    returns

      Returns a new genomic dataset containing all pairs of keys that overlapped in the genomic coordinate space, and all keys from the left genomic dataset that did not overlap a key in the right genomic dataset.

    Definition Classes
      GenomicDataset
62.  def leftOuterShuffleRegionJoin[X, Y <: Product, Z <: GenomicDataset[X, Y, Z]](genomicDataset: GenomicDataset[X, Y, Z], flankSize: Integer): GenericGenomicDataset[(Sequence, Option[X]), (Sequence, Option[Y])]

    (Java-specific) Performs a sort-merge left outer join between this genomic dataset and another genomic dataset.

    (Java-specific) Performs a sort-merge left outer join between this genomic dataset and another genomic dataset.

    In a sort-merge join, both genomic datasets are co-partitioned and sorted. The partitions are then zipped, and we do a merge join on each partition. The key equality function used for this join is the reference region overlap function. Since this is a left outer join, all values in the right genomic dataset that do not overlap a value from the left genomic dataset are dropped. If a value from the left genomic dataset does not overlap any values in the right genomic dataset, it will be paired with a `None` in the product of the join.

    genomicDataset

      The right genomic dataset in the join.

    flankSize

      Sets a flankSize for the distance between elements to be joined. If set to 0, an overlap is required to join two elements.

    returns

      Returns a new genomic dataset containing all pairs of keys that overlapped in the genomic coordinate space, and all keys from the left genomic dataset that did not overlap a key in the right genomic dataset.

    Definition Classes
      GenomicDataset
63.  def leftOuterShuffleRegionJoin[X, Y <: Product, Z <: GenomicDataset[X, Y, Z]](genomicDataset: GenomicDataset[X, Y, Z], flankSize: Double): GenericGenomicDataset[(Sequence, Option[X]), (Sequence, Option[Y])]

    (R-specific) Performs a sort-merge left outer join between this genomic dataset and another genomic dataset.

    (R-specific) Performs a sort-merge left outer join between this genomic dataset and another genomic dataset.

    In a sort-merge join, both genomic datasets are co-partitioned and sorted. The partitions are then zipped, and we do a merge join on each partition. The key equality function used for this join is the reference region overlap function. Since this is a left outer join, all values in the right genomic dataset that do not overlap a value from the left genomic dataset are dropped. If a value from the left genomic dataset does not overlap any values in the right genomic dataset, it will be paired with a `None` in the product of the join.

    genomicDataset

      The right genomic dataset in the join.

    flankSize

      Sets a flankSize for the distance between elements to be joined. If set to 0, an overlap is required to join two elements.

    returns

      Returns a new genomic dataset containing all pairs of keys that overlapped in the genomic coordinate space, and all keys from the left genomic dataset that did not overlap a key in the right genomic dataset.

    Definition Classes
      GenomicDataset
64.  def leftOuterShuffleRegionJoinAndGroupByLeft[X, Y <: Product, Z <: GenomicDataset[X, Y, Z]](genomicDataset: GenomicDataset[X, Y, Z])(implicit tTag: ClassTag[Sequence], xTag: ClassTag[X], toxTag: ClassTag[(Sequence, Iterable[X])], uiyTag: scala.reflect.api.JavaUniverse.TypeTag[(Sequence, Seq[Y])]): GenericGenomicDataset[(Sequence, Iterable[X]), (Sequence, Seq[Y])]

    Performs a sort-merge left outer join between this genomic dataset and another genomic dataset, followed by a groupBy on the left value.

    Performs a sort-merge left outer join between this genomic dataset and another genomic dataset, followed by a groupBy on the left value.

    In a sort-merge join, both genomic datasets are co-partitioned and sorted. The partitions are then zipped, and we do a merge join on each partition. The key equality function used for this join is the reference region overlap function. Since this is a left outer join, all values in the right genomic dataset that do not overlap a value from the left genomic dataset are dropped. If a value from the left genomic dataset does not overlap any values in the right genomic dataset, it will be paired with an empty Iterable in the product of the join.

    genomicDataset

      The right genomic dataset in the join.

    returns

      Returns a new genomic dataset containing all pairs of keys that overlapped in the genomic coordinate space, and all keys from the left genomic dataset that did not overlap a key in the right genomic dataset.

    Definition Classes
      GenomicDataset
65.  def leftOuterShuffleRegionJoinAndGroupByLeft[X, Y <: Product, Z <: GenomicDataset[X, Y, Z]](genomicDataset: GenomicDataset[X, Y, Z], flankSize: Long)(implicit tTag: ClassTag[Sequence], xTag: ClassTag[X], toxTag: ClassTag[(Sequence, Iterable[X])], uiyTag: scala.reflect.api.JavaUniverse.TypeTag[(Sequence, Seq[Y])]): GenericGenomicDataset[(Sequence, Iterable[X]), (Sequence, Seq[Y])]

    Performs a sort-merge left outer join between this genomic dataset and another genomic dataset, followed by a groupBy on the left value.

    Performs a sort-merge left outer join between this genomic dataset and another genomic dataset, followed by a groupBy on the left value.

    In a sort-merge join, both genomic datasets are co-partitioned and sorted. The partitions are then zipped, and we do a merge join on each partition. The key equality function used for this join is the reference region overlap function. Since this is a left outer join, all values in the right genomic dataset that do not overlap a value from the left genomic dataset are dropped. If a value from the left genomic dataset does not overlap any values in the right genomic dataset, it will be paired with an empty Iterable in the product of the join.

    genomicDataset

      The right genomic dataset in the join.

    flankSize

      Sets a flankSize for the distance between elements to be joined. If set to 0, an overlap is required to join two elements.

    returns

      Returns a new genomic dataset containing all pairs of keys that overlapped in the genomic coordinate space, and all keys from the left genomic dataset that did not overlap a key in the right genomic dataset.

    Definition Classes
      GenomicDataset
66.  def leftOuterShuffleRegionJoinAndGroupByLeft[X, Y <: Product, Z <: GenomicDataset[X, Y, Z]](genomicDataset: GenomicDataset[X, Y, Z], flankSize: Integer): GenericGenomicDataset[(Sequence, Iterable[X]), (Sequence, Seq[Y])]

    (Java-specific) Performs a sort-merge left outer join between this genomic dataset and another genomic dataset, followed by a groupBy on the left value.

    (Java-specific) Performs a sort-merge left outer join between this genomic dataset and another genomic dataset, followed by a groupBy on the left value.

    In a sort-merge join, both genomic datasets are co-partitioned and sorted. The partitions are then zipped, and we do a merge join on each partition. The key equality function used for this join is the reference region overlap function. Since this is a left outer join, all values in the right genomic dataset that do not overlap a value from the left genomic dataset are dropped. If a value from the left genomic dataset does not overlap any values in the right genomic dataset, it will be paired with an empty Iterable in the product of the join.

    genomicDataset

      The right genomic dataset in the join.

    flankSize

      Sets a flankSize for the distance between elements to be joined. If set to 0, an overlap is required to join two elements.

    returns

      Returns a new genomic dataset containing all pairs of keys that overlapped in the genomic coordinate space, and all keys from the left genomic dataset that did not overlap a key in the right genomic dataset.

    Definition Classes
      GenomicDataset
67.  def leftOuterShuffleRegionJoinAndGroupByLeft[X, Y <: Product, Z <: GenomicDataset[X, Y, Z]](genomicDataset: GenomicDataset[X, Y, Z], flankSize: Double): GenericGenomicDataset[(Sequence, Iterable[X]), (Sequence, Seq[Y])]

    (R-specific) Performs a sort-merge left outer join between this genomic dataset and another genomic dataset, followed by a groupBy on the left value.

    (R-specific) Performs a sort-merge left outer join between this genomic dataset and another genomic dataset, followed by a groupBy on the left value.

    In a sort-merge join, both genomic datasets are co-partitioned and sorted. The partitions are then zipped, and we do a merge join on each partition. The key equality function used for this join is the reference region overlap function. Since this is a left outer join, all values in the right genomic dataset that do not overlap a value from the left genomic dataset are dropped. If a value from the left genomic dataset does not overlap any values in the right genomic dataset, it will be paired with an empty Iterable in the product of the join.

    genomicDataset

      The right genomic dataset in the join.

    flankSize

      Sets a flankSize for the distance between elements to be joined. If set to 0, an overlap is required to join two elements.

    returns

      Returns a new genomic dataset containing all pairs of keys that overlapped in the genomic coordinate space, and all keys from the left genomic dataset that did not overlap a key in the right genomic dataset.

    Definition Classes
      GenomicDataset
68.  def logger: Logger
    Attributes
      protected
    Definition Classes
      Logging
69.  def loggerName: String
    Attributes
      protected
    Definition Classes
      Logging
70.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
71.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native() @HotSpotIntrinsicCandidate()
72.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native() @HotSpotIntrinsicCandidate()
73.  val optLookbackPartitions: Option[Int]
    Definition Classes
      DatasetBoundSequenceDataset → DatasetBoundGenomicDataset
74.  val optPartitionBinSize: Option[Int]
    Definition Classes
      DatasetBoundSequenceDataset → DatasetBoundGenomicDataset
75.  lazy val optPartitionMap: None.type
    Attributes
      protected
    Definition Classes
      DatasetBoundSequenceDataset → GenomicDataset
76.  def persist(sl: StorageLevel): SequenceDataset

    Persists underlying RDD in memory or disk.

    Persists underlying RDD in memory or disk.

    sl

      new StorageLevel

    returns

      Persisted GenomicDataset.

    Definition Classes
      DatasetBoundGenomicDataset → GenomicDataset
77.  def pipe[X, Y <: Product, Z <: GenomicDataset[X, Y, Z], W <: InFormatter[Sequence, Sequence, SequenceDataset, W]](cmd: List[String], files: List[String], environment: Map[String, String], flankSize: Integer, tFormatter: Class[W], xFormatter: OutFormatter[X], convFn: Function2[SequenceDataset, RDD[X], Z]): Z

    (Java/Python-specific) Pipes genomic data to a subprocess that runs in parallel using Spark.

    (Java/Python-specific) Pipes genomic data to a subprocess that runs in parallel using Spark.

    X

      The type of the record created by the piped command.

    Y

      A GenomicDataset containing X's.

    cmd

      Command to run.

    files

      Files to make locally available to the commands being run. Default is empty.

    environment

      A map containing environment variable/value pairs to set in the environment for the newly created process. Default is empty.

    flankSize

      Number of bases to flank each command invocation by.

    tFormatter

      Class of formatter for data going into pipe command.

    xFormatter

      Formatter for data coming out of the pipe command.

    convFn

      The conversion function used to build the final genomic dataset.

    returns

      Returns a new GenomicDataset of type Y.

    Definition Classes
      GenomicDataset
78.  def pipe[X, Y <: Product, Z <: GenomicDataset[X, Y, Z], W <: InFormatter[Sequence, Sequence, SequenceDataset, W]](cmd: Seq[Any], files: Seq[Any], environment: Map[Any, Any], flankSize: Double, tFormatter: Class[W], xFormatter: OutFormatter[X], convFn: Function2[SequenceDataset, RDD[X], Z]): Z

    (R-specific) Pipes genomic data to a subprocess that runs in parallel using Spark.

    (R-specific) Pipes genomic data to a subprocess that runs in parallel using Spark.

    X

      The type of the record created by the piped command.

    Y

      A GenomicDataset containing X's.

    cmd

      Command to run.

    files

      Files to make locally available to the commands being run. Default is empty.

    environment

      A map containing environment variable/value pairs to set in the environment for the newly created process. Default is empty.

    flankSize

      Number of bases to flank each command invocation by.

    tFormatter

      Class of formatter for data going into pipe command.

    xFormatter

      Formatter for data coming out of the pipe command.

    convFn

      The conversion function used to build the final genomic dataset.

    returns

      Returns a new GenomicDataset of type Y.

    Definition Classes
      GenomicDataset
79.  def pipe[X, Y <: Product, Z <: GenomicDataset[X, Y, Z], W <: InFormatter[Sequence, Sequence, SequenceDataset, W]](cmd: Seq[String], files: Seq[String] = Seq.empty, environment: Map[String, String] = Map.empty, flankSize: Int = 0, optTimeout: Option[Int] = None)(implicit tFormatterCompanion: InFormatterCompanion[Sequence, Sequence, SequenceDataset, W], xFormatter: OutFormatter[X], convFn: (SequenceDataset, RDD[X]) ⇒ Z, tManifest: ClassTag[Sequence], xManifest: ClassTag[X]): Z

    (Scala-specific) Pipes genomic data to a subprocess that runs in parallel using Spark.

    (Scala-specific) Pipes genomic data to a subprocess that runs in parallel using Spark.

    Files are substituted in to the command with a $x syntax. E.g., to invoke a command that uses the first file from the files Seq, use $0. To access the path to the directory where the files are copied, use $root.

    Pipes require the presence of an InFormatterCompanion and an OutFormatter as implicit values. The InFormatterCompanion should be a singleton whose apply method builds an InFormatter given a specific type of GenomicDataset. The implicit InFormatterCompanion yields an InFormatter which is used to format the input to the pipe, and the implicit OutFormatter is used to parse the output from the pipe.

    X

      The type of the record created by the piped command.

    Y

      A GenomicDataset containing X's.

    cmd

      Command to run.

    files

      Files to make locally available to the commands being run. Default is empty.

    environment

      A map containing environment variable/value pairs to set in the environment for the newly created process. Default is empty.

    flankSize

      Number of bases to flank each command invocation by.

    optTimeout

      An optional parameter specifying how long to let a single partition run for, in seconds. If the partition times out, the partial results will be returned, and no exception will be logged. The partition will log that the command timed out.

    returns

      Returns a new GenomicDataset of type Y.

    Definition Classes
      GenomicDataset
80.  val productFn: (Sequence) ⇒ Sequence
    Attributes
      protected
    Definition Classes
      SequenceDataset → GenomicDataset
81.  lazy val rdd: RDD[Sequence]

    The RDD of genomic data that we are wrapping.

    The RDD of genomic data that we are wrapping.

    Definition Classes
      DatasetBoundSequenceDataset → GenomicDataset
82.  val references: SequenceDictionary

    The sequence dictionary describing the reference assembly this dataset is aligned to.

    The sequence dictionary describing the reference assembly this dataset is aligned to.

    Definition Classes
      DatasetBoundSequenceDataset → GenomicDataset
83.  def replaceRdd(newRdd: RDD[Sequence], newPartitionMap: Option[Array[Option[(ReferenceRegion, ReferenceRegion)]]] = None): SequenceDataset

    newRdd

      The RDD to replace the underlying RDD with.

    newPartitionMap

      New partition map, if any.

    returns

      Returns a new SequenceRDD with the underlying RDD replaced.

    Attributes
      protected
    Definition Classes
      SequenceDataset → GenomicDataset
84.  def replaceReferences(newReferences: SequenceDictionary): SequenceDataset

    Replaces the reference sequence dictionary attached to a GenomicDataset.

    Replaces the reference sequence dictionary attached to a GenomicDataset.

    newReferences

      The new reference sequence dictionary to attach.

    returns

      Returns a new GenomicDataset with the reference sequences replaced.

    Definition Classes
      DatasetBoundSequenceDataset → GenomicDataset
85.  def replaceSamples(newSamples: Iterable[Sample]): SequenceDataset

    Replaces the sample metadata attached to the genomic dataset.

    Replaces the sample metadata attached to the genomic dataset.

    newSamples

      The new sample metadata to attach.

    returns

      A GenomicDataset with new sample metadata.

    Definition Classes
      DatasetBoundSequenceDataset → MultisampleGenomicDataset
86.  def rightOuterBroadcastRegionJoin[X, Y <: Product, Z <: GenomicDataset[X, Y, Z]](genomicDataset: GenomicDataset[X, Y, Z])(implicit tTag: ClassTag[Sequence], xTag: ClassTag[X], otxTag: ClassTag[(Option[Sequence], X)], ouyTag: scala.reflect.api.JavaUniverse.TypeTag[(Option[Sequence], Y)]): GenericGenomicDataset[(Option[Sequence], X), (Option[Sequence], Y)]

    Performs a broadcast right outer join between this genomic dataset and another genomic dataset.

    Performs a broadcast right outer join between this genomic dataset and another genomic dataset.

    In a broadcast join, the left genomic dataset (this genomic dataset) is collected to the driver, and broadcast to all the nodes in the cluster. The key equality function used for this join is the reference region overlap function. Since this is a right outer join, all values in the left genomic dataset that do not overlap a value from the right genomic dataset are dropped. If a value from the right genomic dataset does not overlap any values in the left genomic dataset, it will be paired with a `None` in the product of the join.

    genomicDataset

      The right genomic dataset in the join.

    returns

      Returns a new genomic dataset containing all pairs of keys that overlapped in the genomic coordinate space, and all keys from the right genomic dataset that did not overlap a key in the left genomic dataset.

    Definition Classes
      GenomicDataset
    See also

      rightOuterBroadcastRegionJoin

87.  def rightOuterBroadcastRegionJoin[X, Y <: Product, Z <: GenomicDataset[X, Y, Z]](genomicDataset: GenomicDataset[X, Y, Z], flankSize: Long)(implicit tTag: ClassTag[Sequence], xTag: ClassTag[X], otxTag: ClassTag[(Option[Sequence], X)], ouyTag: scala.reflect.api.JavaUniverse.TypeTag[(Option[Sequence], Y)]): GenericGenomicDataset[(Option[Sequence], X), (Option[Sequence], Y)]

    Performs a broadcast right outer join between this genomic dataset and another genomic dataset.

    Performs a broadcast right outer join between this genomic dataset and another genomic dataset.

    In a broadcast join, the left genomic dataset (this genomic dataset) is collected to the driver, and broadcast to all the nodes in the cluster. The key equality function used for this join is the reference region overlap function. Since this is a right outer join, all values in the left genomic dataset that do not overlap a value from the right genomic dataset are dropped. If a value from the right genomic dataset does not overlap any values in the left genomic dataset, it will be paired with a `None` in the product of the join.

    genomicDataset

      The right genomic dataset in the join.

    flankSize

      Sets a flankSize for the distance between elements to be joined. If set to 0, an overlap is required to join two elements.

    returns

      Returns a new genomic dataset containing all pairs of keys that overlapped in the genomic coordinate space, and all keys from the right genomic dataset that did not overlap a key in the left genomic dataset.

    Definition Classes
      GenomicDataset
    See also

      rightOuterBroadcastRegionJoin

88.  def rightOuterBroadcastRegionJoin[X, Y <: Product, Z <: GenomicDataset[X, Y, Z]](genomicDataset: GenomicDataset[X, Y, Z], flankSize: Integer): GenericGenomicDataset[(Option[Sequence], X), (Option[Sequence], Y)]

    (Java-specific) Performs a broadcast right outer join between this genomic dataset and another genomic dataset.

    (Java-specific) Performs a broadcast right outer join between this genomic dataset and another genomic dataset.

    In a broadcast join, the left genomic dataset (this genomic dataset) is collected to the driver, and broadcast to all the nodes in the cluster. The key equality function used for this join is the reference region overlap function. Since this is a right outer join, all values in the left genomic dataset that do not overlap a value from the right genomic dataset are dropped. If a value from the right genomic dataset does not overlap any values in the left genomic dataset, it will be paired with a `None` in the product of the join.

    genomicDataset

      The right genomic dataset in the join.

    flankSize

      Sets a flankSize for the distance between elements to be joined. If set to 0, an overlap is required to join two elements.

    returns

      Returns a new genomic dataset containing all pairs of keys that overlapped in the genomic coordinate space, and all keys from the right genomic dataset that did not overlap a key in the left genomic dataset.

    Definition Classes
      GenomicDataset
89.  def rightOuterBroadcastRegionJoin[X, Y <: Product, Z <: GenomicDataset[X, Y, Z]](genomicDataset: GenomicDataset[X, Y, Z], flankSize: Double): GenericGenomicDataset[(Option[Sequence], X), (Option[Sequence], Y)]

    (R-specific) Performs a broadcast right outer join between this genomic dataset and another genomic dataset.

    (R-specific) Performs a broadcast right outer join between this genomic dataset and another genomic dataset.

    In a broadcast join, the left genomic dataset (this genomic dataset) is collected to the driver, and broadcast to all the nodes in the cluster. The key equality function used for this join is the reference region overlap function. Since this is a right outer join, all values in the left genomic dataset that do not overlap a value from the right genomic dataset are dropped. If a value from the right genomic dataset does not overlap any values in the left genomic dataset, it will be paired with a `None` in the product of the join.

    genomicDataset

      The right genomic dataset in the join.

    flankSize

      Sets a flankSize for the distance between elements to be joined. If set to 0, an overlap is required to join two elements.

    returns

      Returns a new genomic dataset containing all pairs of keys that overlapped in the genomic coordinate space, and all keys from the right genomic dataset that did not overlap a key in the left genomic dataset.

    Definition Classes
      GenomicDataset
90.  def rightOuterBroadcastRegionJoinAgainst[X, Y <: Product, Z <: GenomicDataset[X, Y, Z]](broadcast: GenomicBroadcast[X, Y, Z])(implicit tTag: ClassTag[Sequence], xTag: ClassTag[X], oyuTag: scala.reflect.api.JavaUniverse.TypeTag[(Option[Y], Sequence)]): GenericGenomicDataset[(Option[X], Sequence), (Option[Y], Sequence)]

    Performs a broadcast right outer join between this genomic dataset and data that has been broadcast.

    Performs a broadcast right outer join between this genomic dataset and data that has been broadcast.

    In a broadcast join, the left side of the join (broadcastTree) is broadcast to to all the nodes in the cluster. The key equality function used for this join is the reference region overlap function. Since this is a right outer join, all values in the left table that do not overlap a value from the right genomic dataset are dropped. If a value from the right genomic dataset does not overlap any values in the left table, it will be paired with a `None` in the product of the join. As compared to broadcastRegionJoin, this function allows the broadcast object to be reused across multiple joins.

    broadcast

      The data on the left side of the join.

    returns

      Returns a new genomic dataset containing all pairs of keys that overlapped in the genomic coordinate space.

    Definition Classes
      GenomicDataset
    Note

      This function differs from other region joins as it treats the calling genomic dataset as the right side of the join, and not the left.

    See also

      rightOuterBroadcastRegionJoin

91.  def rightOuterBroadcastRegionJoinAgainstAndGroupByRight[X, Y <: Product, Z <: GenomicDataset[X, Y, Z]](broadcast: GenomicBroadcast[X, Y, Z])(implicit tTag: ClassTag[Sequence], xTag: ClassTag[X], syuTag: scala.reflect.api.JavaUniverse.TypeTag[(Seq[Y], Sequence)]): GenericGenomicDataset[(Iterable[X], Sequence), (Seq[Y], Sequence)]

    Performs a broadcast right outer join between this genomic dataset and another genomic dataset.

    Performs a broadcast right outer join between this genomic dataset and another genomic dataset.

    In a broadcast join, the left side of the join (broadcastTree) is broadcast to to all the nodes in the cluster. The key equality function used for this join is the reference region overlap function. Since this is a right outer join, all values in the left table that do not overlap a value from the right genomic dataset are dropped. If a value from the right genomic dataset does not overlap any values in the left table, it will be paired with a `None` in the product of the join. As compared to broadcastRegionJoin, this function allows the broadcast object to be reused across multiple joins.

    broadcast

      The data on the left side of the join.

    returns

      Returns a new genomic dataset containing all pairs of keys that overlapped in the genomic coordinate space.

    Definition Classes
      GenomicDataset
    Note

      This function differs from other region joins as it treats the calling genomic dataset as the right side of the join, and not the left.

    See also

      rightOuterBroadcastRegionJoinAndGroupByRight

92.  def rightOuterBroadcastRegionJoinAndGroupByRight[X, Y <: Product, Z <: GenomicDataset[X, Y, Z]](genomicDataset: GenomicDataset[X, Y, Z])(implicit tTag: ClassTag[Sequence], xTag: ClassTag[X], itxTag: ClassTag[(Iterable[Sequence], X)], iuyTag: scala.reflect.api.JavaUniverse.TypeTag[(Seq[Sequence], Y)]): GenericGenomicDataset[(Iterable[Sequence], X), (Seq[Sequence], Y)]

    Performs a broadcast right outer join between this genomic dataset and another genomic dataset.

    Performs a broadcast right outer join between this genomic dataset and another genomic dataset.

    In a broadcast join, the left side of the join (broadcastTree) is broadcast to to all the nodes in the cluster. The key equality function used for this join is the reference region overlap function. Since this is a right outer join, all values in the left genomic dataset that do not overlap a value from the right genomic dataset are dropped. If a value from the right genomic dataset does not overlap any values in the left genomic dataset, it will be paired with a `None` in the product of the join.

    genomicDataset

      The right genomic dataset in the join.

    returns

      Returns a new genomic dataset containing all pairs of keys that overlapped in the genomic coordinate space, and all keys from the right genomic dataset that did not overlap a key in the left genomic dataset.

    Definition Classes
      GenomicDataset
    See also

      rightOuterBroadcastRegionJoinAgainstAndGroupByRight

93.  def rightOuterBroadcastRegionJoinAndGroupByRight[X, Y <: Product, Z <: GenomicDataset[X, Y, Z]](genomicDataset: GenomicDataset[X, Y, Z], flankSize: Long)(implicit tTag: ClassTag[Sequence], xTag: ClassTag[X], itxTag: ClassTag[(Iterable[Sequence], X)], iuyTag: scala.reflect.api.JavaUniverse.TypeTag[(Seq[Sequence], Y)]): GenericGenomicDataset[(Iterable[Sequence], X), (Seq[Sequence], Y)]

    Performs a broadcast right outer join between this genomic dataset and another genomic dataset.

    Performs a broadcast right outer join between this genomic dataset and another genomic dataset.

    In a broadcast join, the left side of the join (broadcastTree) is broadcast to to all the nodes in the cluster. The key equality function used for this join is the reference region overlap function. Since this is a right outer join, all values in the left genomic dataset that do not overlap a value from the right genomic dataset are dropped. If a value from the right genomic dataset does not overlap any values in the left genomic dataset, it will be paired with a `None` in the product of the join.

    genomicDataset

      The right genomic dataset in the join.

    flankSize

      Sets a flankSize for the distance between elements to be joined. If set to 0, an overlap is required to join two elements.

    returns

      Returns a new genomic dataset containing all pairs of keys that overlapped in the genomic coordinate space, and all keys from the right genomic dataset that did not overlap a key in the left genomic dataset.

    Definition Classes
      GenomicDataset
    See also

      rightOuterBroadcastRegionJoinAgainstAndGroupByRight

94.  def rightOuterBroadcastRegionJoinAndGroupByRight[X, Y <: Product, Z <: GenomicDataset[X, Y, Z]](genomicDataset: GenomicDataset[X, Y, Z], flankSize: Integer): GenericGenomicDataset[(Iterable[Sequence], X), (Seq[Sequence], Y)]

    (Java-specific) Performs a broadcast right outer join between this genomic dataset and another genomic dataset.

    (Java-specific) Performs a broadcast right outer join between this genomic dataset and another genomic dataset.

    In a broadcast join, the left side of the join (broadcastTree) is broadcast to to all the nodes in the cluster. The key equality function used for this join is the reference region overlap function. Since this is a right outer join, all values in the left genomic dataset that do not overlap a value from the right genomic dataset are dropped. If a value from the right genomic dataset does not overlap any values in the left genomic dataset, it will be paired with a `None` in the product of the join.

    genomicDataset

      The right genomic dataset in the join.

    flankSize

      Sets a flankSize for the distance between elements to be joined. If set to 0, an overlap is required to join two elements.

    returns

      Returns a new genomic dataset containing all pairs of keys that overlapped in the genomic coordinate space, and all keys from the right genomic dataset that did not overlap a key in the left genomic dataset.

    Definition Classes
      GenomicDataset
    See also

      rightOuterBroadcastRegionJoinAgainstAndGroupByRight

95.  def rightOuterBroadcastRegionJoinAndGroupByRight[X, Y <: Product, Z <: GenomicDataset[X, Y, Z]](genomicDataset: GenomicDataset[X, Y, Z], flankSize: Double): GenericGenomicDataset[(Iterable[Sequence], X), (Seq[Sequence], Y)]

    (R-specific) Performs a broadcast right outer join between this genomic dataset and another genomic dataset.

    (R-specific) Performs a broadcast right outer join between this genomic dataset and another genomic dataset.

    In a broadcast join, the left side of the join (broadcastTree) is broadcast to to all the nodes in the cluster. The key equality function used for this join is the reference region overlap function. Since this is a right outer join, all values in the left genomic dataset that do not overlap a value from the right genomic dataset are dropped. If a value from the right genomic dataset does not overlap any values in the left genomic dataset, it will be paired with a `None` in the product of the join.

    genomicDataset

      The right genomic dataset in the join.

    flankSize

      Sets a flankSize for the distance between elements to be joined. If set to 0, an overlap is required to join two elements.

    returns

      Returns a new genomic dataset containing all pairs of keys that overlapped in the genomic coordinate space, and all keys from the right genomic dataset that did not overlap a key in the left genomic dataset.

    Definition Classes
      GenomicDataset
    See also

      rightOuterBroadcastRegionJoinAgainstAndGroupByRight

96.  def rightOuterShuffleRegionJoin[X, Y <: Product, Z <: GenomicDataset[X, Y, Z]](genomicDataset: GenomicDataset[X, Y, Z])(implicit tTag: ClassTag[Sequence], xTag: ClassTag[X], otxTag: ClassTag[(Option[Sequence], X)], ouyTag: scala.reflect.api.JavaUniverse.TypeTag[(Option[Sequence], Y)]): GenericGenomicDataset[(Option[Sequence], X), (Option[Sequence], Y)]

    Performs a sort-merge right outer join between this genomic dataset and another genomic dataset.

    Performs a sort-merge right outer join between this genomic dataset and another genomic dataset.

    In a sort-merge join, both genomic datasets are co-partitioned and sorted. The partitions are then zipped, and we do a merge join on each partition. The key equality function used for this join is the reference region overlap function. Since this is a right outer join, all values in the left genomic dataset that do not overlap a value from the right genomic dataset are dropped. If a value from the right genomic dataset does not overlap any values in the left genomic dataset, it will be paired with a `None` in the product of the join.

    genomicDataset

      The right genomic dataset in the join.

    returns

      Returns a new genomic dataset containing all pairs of keys that overlapped in the genomic coordinate space, and all keys from the right genomic dataset that did not overlap a key in the left genomic dataset.

    Definition Classes
      GenomicDataset
97.  def rightOuterShuffleRegionJoin[X, Y <: Product, Z <: GenomicDataset[X, Y, Z]](genomicDataset: GenomicDataset[X, Y, Z], flankSize: Long)(implicit tTag: ClassTag[Sequence], xTag: ClassTag[X], otxTag: ClassTag[(Option[Sequence], X)], ouyTag: scala.reflect.api.JavaUniverse.TypeTag[(Option[Sequence], Y)]): GenericGenomicDataset[(Option[Sequence], X), (Option[Sequence], Y)]

    Performs a sort-merge right outer join between this genomic dataset and another genomic dataset.

    Performs a sort-merge right outer join between this genomic dataset and another genomic dataset.

    In a sort-merge join, both genomic datasets are co-partitioned and sorted. The partitions are then zipped, and we do a merge join on each partition. The key equality function used for this join is the reference region overlap function. Since this is a right outer join, all values in the left genomic dataset that do not overlap a value from the right genomic dataset are dropped. If a value from the right genomic dataset does not overlap any values in the left genomic dataset, it will be paired with a `None` in the product of the join.

    genomicDataset

      The right genomic dataset in the join.

    flankSize

      Sets a flankSize for the distance between elements to be joined. If set to 0, an overlap is required to join two elements.

    returns

      Returns a new genomic dataset containing all pairs of keys that overlapped in the genomic coordinate space, and all keys from the right genomic dataset that did not overlap a key in the left genomic dataset.

    Definition Classes
      GenomicDataset
98.  def rightOuterShuffleRegionJoin[X, Y <: Product, Z <: GenomicDataset[X, Y, Z]](genomicDataset: GenomicDataset[X, Y, Z], flankSize: Integer): GenericGenomicDataset[(Option[Sequence], X), (Option[Sequence], Y)]

    (Java-specific) Performs a sort-merge right outer join between this genomic dataset and another genomic dataset.

    (Java-specific) Performs a sort-merge right outer join between this genomic dataset and another genomic dataset.

    In a sort-merge join, both genomic datasets are co-partitioned and sorted. The partitions are then zipped, and we do a merge join on each partition. The key equality function used for this join is the reference region overlap function. Since this is a right outer join, all values in the left genomic dataset that do not overlap a value from the right genomic dataset are dropped. If a value from the right genomic dataset does not overlap any values in the left genomic dataset, it will be paired with a `None` in the product of the join.

    genomicDataset

      The right genomic dataset in the join.

    flankSize

      Sets a flankSize for the distance between elements to be joined. If set to 0, an overlap is required to join two elements.

    returns

      Returns a new genomic dataset containing all pairs of keys that overlapped in the genomic coordinate space, and all keys from the right genomic dataset that did not overlap a key in the left genomic dataset.

    Definition Classes
      GenomicDataset
99.  def rightOuterShuffleRegionJoin[X, Y <: Product, Z <: GenomicDataset[X, Y, Z]](genomicDataset: GenomicDataset[X, Y, Z], flankSize: Double): GenericGenomicDataset[(Option[Sequence], X), (Option[Sequence], Y)]

    (R-specific) Performs a sort-merge right outer join between this genomic dataset and another genomic dataset.

    (R-specific) Performs a sort-merge right outer join between this genomic dataset and another genomic dataset.

    In a sort-merge join, both genomic datasets are co-partitioned and sorted. The partitions are then zipped, and we do a merge join on each partition. The key equality function used for this join is the reference region overlap function. Since this is a right outer join, all values in the left genomic dataset that do not overlap a value from the right genomic dataset are dropped. If a value from the right genomic dataset does not overlap any values in the left genomic dataset, it will be paired with a `None` in the product of the join.

    genomicDataset

      The right genomic dataset in the join.

    flankSize

      Sets a flankSize for the distance between elements to be joined. If set to 0, an overlap is required to join two elements.

    returns

      Returns a new genomic dataset containing all pairs of keys that overlapped in the genomic coordinate space, and all keys from the right genomic dataset that did not overlap a key in the left genomic dataset.

    Definition Classes
      GenomicDataset
100.  def rightOuterShuffleRegionJoinAndGroupByLeft[X, Y <: Product, Z <: GenomicDataset[X, Y, Z]](genomicDataset: GenomicDataset[X, Y, Z])(implicit tTag: ClassTag[Sequence], xTag: ClassTag[X], otixTag: ClassTag[(Option[Sequence], Iterable[X])], otsyTag: scala.reflect.api.JavaUniverse.TypeTag[(Option[Sequence], Seq[Y])]): GenericGenomicDataset[(Option[Sequence], Iterable[X]), (Option[Sequence], Seq[Y])]

     Performs a sort-merge right outer join between this genomic dataset and another genomic dataset, followed by a groupBy on the left value, if not null.

     Performs a sort-merge right outer join between this genomic dataset and another genomic dataset, followed by a groupBy on the left value, if not null.

     In a sort-merge join, both genomic datasets are co-partitioned and sorted. The partitions are then zipped, and we do a merge join on each partition. The key equality function used for this join is the reference region overlap function. In the same operation, we group all values by the left item in the genomic dataset. Since this is a right outer join, all values from the right genomic dataset who did not overlap a value from the left genomic dataset are placed into a length-1 Iterable with a `None` key.

     genomicDataset

       The right genomic dataset in the join.

     returns

       Returns a new genomic dataset containing all pairs of keys that overlapped in the genomic coordinate space, grouped together by the value they overlapped in the left genomic dataset, and all values from the right genomic dataset that did not overlap an item in the left genomic dataset.

     Definition Classes
       GenomicDataset
101.  def rightOuterShuffleRegionJoinAndGroupByLeft[X, Y <: Product, Z <: GenomicDataset[X, Y, Z]](genomicDataset: GenomicDataset[X, Y, Z], flankSize: Long)(implicit tTag: ClassTag[Sequence], xTag: ClassTag[X], otixTag: ClassTag[(Option[Sequence], Iterable[X])], ousyTag: scala.reflect.api.JavaUniverse.TypeTag[(Option[Sequence], Seq[Y])]): GenericGenomicDataset[(Option[Sequence], Iterable[X]), (Option[Sequence], Seq[Y])]

     Performs a sort-merge right outer join between this genomic dataset and another genomic dataset, followed by a groupBy on the left value, if not null.

     Performs a sort-merge right outer join between this genomic dataset and another genomic dataset, followed by a groupBy on the left value, if not null.

     In a sort-merge join, both genomic datasets are co-partitioned and sorted. The partitions are then zipped, and we do a merge join on each partition. The key equality function used for this join is the reference region overlap function. In the same operation, we group all values by the left item in the genomic dataset. Since this is a right outer join, all values from the right genomic dataset who did not overlap a value from the left genomic dataset are placed into a length-1 Iterable with a `None` key.

     genomicDataset

       The right genomic dataset in the join.

     flankSize

       Sets a flankSize for the distance between elements to be joined. If set to 0, an overlap is required to join two elements.

     returns

       Returns a new genomic dataset containing all pairs of keys that overlapped in the genomic coordinate space, grouped together by the value they overlapped in the left genomic dataset, and all values from the right genomic dataset that did not overlap an item in the left genomic dataset.

     Definition Classes
       GenomicDataset
102.  def rightOuterShuffleRegionJoinAndGroupByLeft[X, Y <: Product, Z <: GenomicDataset[X, Y, Z]](genomicDataset: GenomicDataset[X, Y, Z], flankSize: Integer): GenericGenomicDataset[(Option[Sequence], Iterable[X]), (Option[Sequence], Seq[Y])]

     (Java-specific) Performs a sort-merge right outer join between this genomic dataset and another genomic dataset, followed by a groupBy on the left value, if not null.

     (Java-specific) Performs a sort-merge right outer join between this genomic dataset and another genomic dataset, followed by a groupBy on the left value, if not null.

     In a sort-merge join, both genomic datasets are co-partitioned and sorted. The partitions are then zipped, and we do a merge join on each partition. The key equality function used for this join is the reference region overlap function. In the same operation, we group all values by the left item in the genomic dataset. Since this is a right outer join, all values from the right genomic dataset who did not overlap a value from the left genomic dataset are placed into a length-1 Iterable with a `None` key.

     genomicDataset

       The right genomic dataset in the join.

     flankSize

       Sets a flankSize for the distance between elements to be joined. If set to 0, an overlap is required to join two elements.

     returns

       Returns a new genomic dataset containing all pairs of keys that overlapped in the genomic coordinate space, grouped together by the value they overlapped in the left genomic dataset, and all values from the right genomic dataset that did not overlap an item in the left genomic dataset.

     Definition Classes
       GenomicDataset
103.  def rightOuterShuffleRegionJoinAndGroupByLeft[X, Y <: Product, Z <: GenomicDataset[X, Y, Z]](genomicDataset: GenomicDataset[X, Y, Z], flankSize: Double): GenericGenomicDataset[(Option[Sequence], Iterable[X]), (Option[Sequence], Seq[Y])]

     (R-specific) Performs a sort-merge right outer join between this genomic dataset and another genomic dataset, followed by a groupBy on the left value, if not null.

     (R-specific) Performs a sort-merge right outer join between this genomic dataset and another genomic dataset, followed by a groupBy on the left value, if not null.

     In a sort-merge join, both genomic datasets are co-partitioned and sorted. The partitions are then zipped, and we do a merge join on each partition. The key equality function used for this join is the reference region overlap function. In the same operation, we group all values by the left item in the genomic dataset. Since this is a right outer join, all values from the right genomic dataset who did not overlap a value from the left genomic dataset are placed into a length-1 Iterable with a `None` key.

     genomicDataset

       The right genomic dataset in the join.

     flankSize

       Sets a flankSize for the distance between elements to be joined. If set to 0, an overlap is required to join two elements.

     returns

       Returns a new genomic dataset containing all pairs of keys that overlapped in the genomic coordinate space, grouped together by the value they overlapped in the left genomic dataset, and all values from the right genomic dataset that did not overlap an item in the left genomic dataset.

     Definition Classes
       GenomicDataset
104.  val samples: Seq[Sample]

     The samples who have data contained in this GenomicDataset.

     The samples who have data contained in this GenomicDataset.

     Definition Classes
       DatasetBoundSequenceDataset → MultisampleGenomicDataset
105.  def save(filePath: String, asSingleFile: Boolean, disableFastConcat: Boolean): Unit

     Save sequences as Parquet or FASTA.

     Save sequences as Parquet or FASTA.

     If filename ends in .fa or .fasta, saves as FASTA. If not, saves fragments to Parquet. Defaults to 60 character line length, if saving to FASTA.

     filePath

       Path to save files to.

     asSingleFile

       If true, saves output as a single file.

     disableFastConcat

       If asSingleFile is true, disables the use of the parallel file merging engine.

     Definition Classes
       SequenceDataset
106.  def saveAsFasta(filePath: String, asSingleFile: Boolean = false, disableFastConcat: Boolean = false, lineWidth: Int = 60): Unit

     Save sequences in FASTA format.

     Save sequences in FASTA format.

     filePath

       Path to save files to.

     asSingleFile

       If true, saves output as a single file.

     disableFastConcat

       If asSingleFile is true, disables the use of the parallel file merging engine.

     lineWidth

       Hard wrap FASTA formatted sequence at line width, default 60.

     Definition Classes
       SequenceDataset
107.  def saveAsParquet(filePath: String, blockSize: Int = 128 * 1024 * 1024, pageSize: Int = 1 * 1024 * 1024, compressionCodec: CompressionCodecName = CompressionCodecName.GZIP, disableDictionaryEncoding: Boolean = false): Unit

     Saves this genomic dataset to disk as a Parquet file.

     Saves this genomic dataset to disk as a Parquet file.

     blockSize

       Size per block.

     pageSize

       Size per page.

     compressionCodec

       Name of the compression codec to use.

     disableDictionaryEncoding

       Whether or not to disable bit-packing. Default is false.

     Definition Classes
       DatasetBoundSequenceDataset → AvroGenomicDataset → GenomicDataset
108.  def saveAsParquet(pathName: String): Unit

     Saves this genomic dataset to disk as a Parquet file.

     Saves this genomic dataset to disk as a Parquet file.

     pathName

       Path to save the file at.

     Definition Classes
       AvroGenomicDataset
109.  def saveAsParquet(pathName: String, blockSize: Integer, pageSize: Integer, compressionCodec: CompressionCodecName, disableDictionaryEncoding: Boolean): Unit

     (Java-specific) Saves this genomic dataset to disk as a Parquet file.

     (Java-specific) Saves this genomic dataset to disk as a Parquet file.

     pathName

       Path to save the file at.

     blockSize

       The size in bytes of blocks to write.

     pageSize

       The size in bytes of pages to write.

     compressionCodec

       The compression codec to apply to pages.

     disableDictionaryEncoding

       If false, dictionary encoding is used. If true, delta encoding is used.

     Definition Classes
       AvroGenomicDataset
110.  def saveAsParquet(args: SaveArgs): Unit

     Saves a genomic dataset to Parquet.

     Saves a genomic dataset to Parquet.

     args

       The output format configuration to use when saving the data.

     Definition Classes
       GenomicDataset
111.  def saveAsPartitionedParquet(pathName: String, compressionCodec: CompressionCodecName = CompressionCodecName.GZIP, partitionSize: Int = 1000000): Unit

     Saves this RDD to disk in range binned partitioned Parquet format.

     Saves this RDD to disk in range binned partitioned Parquet format.

     pathName

       The path to save the partitioned Parquet file to.

     compressionCodec

       Name of the compression codec to use.

     partitionSize

       Size of partitions used when writing Parquet, in base pairs (bp). Defaults to 1,000,000 bp.

     Definition Classes
       GenomicDataset
112.  def saveAvro[U <: SpecificRecordBase](pathName: String, sc: SparkContext, schema: Schema, avro: Seq[U])(implicit tUag: ClassTag[U]): Unit

     Saves Avro data to a Hadoop file system.

     Saves Avro data to a Hadoop file system.

     This method uses a SparkContext to identify our underlying file system, which we then save to.

     Frustratingly enough, although all records generated by the Avro IDL compiler have a static SCHEMA$ field, this field does not belong to the SpecificRecordBase abstract class, or the SpecificRecord interface. As such, we must force the user to pass in the schema.

     U

       The type of the specific record we are saving.

     pathName

       Path to save records to.

     sc

       SparkContext used for identifying underlying file system.

     schema

       Schema of records we are saving.

     avro

       Seq of records we are saving.

     Attributes
       protected
     Definition Classes
       GenomicDataset
113.  def saveMetadata(pathName: String): Unit

     Called in saveAsParquet after saving genomic dataset to Parquet to save metadata.

     Called in saveAsParquet after saving genomic dataset to Parquet to save metadata.

     Writes any necessary metadata to disk. If not overridden, writes the sequence dictionary to disk as Avro.

     pathName

       The filepath to the file where we will save the Metadata.

     Attributes
       protected
     Definition Classes
       SequenceDataset → AvroGenomicDataset → GenomicDataset
114.  def savePartitionMap(pathName: String): Unit

     Save the partition map to disk.

     Save the partition map to disk. This is done by adding the partition map to the schema.

     pathName

       The filepath where we will save the partition map.

     Attributes
       protected
     Definition Classes
       AvroGenomicDataset
115.  def saveRddAsParquet(pathName: String, blockSize: Int = 128 * 1024 * 1024, pageSize: Int = 1 * 1024 * 1024, compressionCodec: CompressionCodecName = CompressionCodecName.GZIP, disableDictionaryEncoding: Boolean = false, optSchema: Option[Schema] = None): Unit

     Saves a genomic dataset of Avro data to Parquet.

     Saves a genomic dataset of Avro data to Parquet.

     pathName

       The path to save the file to.

     blockSize

       The size in bytes of blocks to write. Defaults to 128 * 1024 * 1024.

     pageSize

       The size in bytes of pages to write. Defaults to 1 * 1024 * 1024.

     compressionCodec

       The compression codec to apply to pages. Defaults to CompressionCodecName.GZIP.

     disableDictionaryEncoding

       If false, dictionary encoding is used. If true, delta encoding is used. Defaults to false.

     optSchema

       The optional schema to set. Defaults to None.

     Attributes
       protected
     Definition Classes
       AvroGenomicDataset
116.  def saveRddAsParquet(args: SaveArgs): Unit
     Attributes
       protected
     Definition Classes
       AvroGenomicDataset
117.  def saveReferences(pathName: String): Unit

     Save the reference sequence dictionary to disk.

     Save the reference sequence dictionary to disk.

     pathName

       The path to save the reference sequence dictionary to.

     Attributes
       protected
     Definition Classes
       GenomicDataset
118.  def saveSamples(pathName: String): Unit

     Save the samples to disk.

     Save the samples to disk.

     pathName

       The path to save samples to.

     Attributes
       protected
     Definition Classes
       MultisampleGenomicDataset
119.  def shuffleRegionJoin[X, Y <: Product, Z <: GenomicDataset[X, Y, Z]](genomicDataset: GenomicDataset[X, Y, Z])(implicit tTag: ClassTag[Sequence], xTag: ClassTag[X], txTag: ClassTag[(Sequence, X)], uyTag: scala.reflect.api.JavaUniverse.TypeTag[(Sequence, Y)]): GenericGenomicDataset[(Sequence, X), (Sequence, Y)]

     Performs a sort-merge inner join between this genomic dataset and another genomic dataset.

     Performs a sort-merge inner join between this genomic dataset and another genomic dataset.

     In a sort-merge join, both genomic datasets are co-partitioned and sorted. The partitions are then zipped, and we do a merge join on each partition. The key equality function used for this join is the reference region overlap function. Since this is an inner join, all values who do not overlap a value from the other genomic dataset are dropped.

     genomicDataset

       The right genomic dataset in the join.

     returns

       Returns a new genomic dataset containing all pairs of keys that overlapped in the genomic coordinate space.

     Definition Classes
       GenomicDataset
120.  def shuffleRegionJoin[X, Y <: Product, Z <: GenomicDataset[X, Y, Z]](genomicDataset: GenomicDataset[X, Y, Z], flankSize: Long)(implicit tTag: ClassTag[Sequence], xTag: ClassTag[X], txTag: ClassTag[(Sequence, X)], uyTag: scala.reflect.api.JavaUniverse.TypeTag[(Sequence, Y)]): GenericGenomicDataset[(Sequence, X), (Sequence, Y)]

     Performs a sort-merge inner join between this genomic dataset and another genomic dataset.

     Performs a sort-merge inner join between this genomic dataset and another genomic dataset.

     In a sort-merge join, both genomic datasets are co-partitioned and sorted. The partitions are then zipped, and we do a merge join on each partition. The key equality function used for this join is the reference region overlap function. Since this is an inner join, all values who do not overlap a value from the other genomic dataset are dropped.

     genomicDataset

       The right genomic dataset in the join.

     flankSize

       Sets a flankSize for the distance between elements to be joined. If set to 0, an overlap is required to join two elements.

     returns

       Returns a new genomic dataset containing all pairs of keys that overlapped in the genomic coordinate space.

     Definition Classes
       GenomicDataset
121.  def shuffleRegionJoin[X, Y <: Product, Z <: GenomicDataset[X, Y, Z]](genomicDataset: GenomicDataset[X, Y, Z], flankSize: Integer): GenericGenomicDataset[(Sequence, X), (Sequence, Y)]

     (Java-specific) Performs a sort-merge inner join between this genomic dataset and another genomic dataset.

     (Java-specific) Performs a sort-merge inner join between this genomic dataset and another genomic dataset.

     In a sort-merge join, both genomic datasets are co-partitioned and sorted. The partitions are then zipped, and we do a merge join on each partition. The key equality function used for this join is the reference region overlap function. Since this is an inner join, all values who do not overlap a value from the other genomic dataset are dropped.

     genomicDataset

       The right genomic dataset in the join.

     flankSize

       Sets a flankSize for the distance between elements to be joined. If set to 0, an overlap is required to join two elements.

     returns

       Returns a new genomic dataset containing all pairs of keys that overlapped in the genomic coordinate space.

     Definition Classes
       GenomicDataset
122.  def shuffleRegionJoin[X, Y <: Product, Z <: GenomicDataset[X, Y, Z]](genomicDataset: GenomicDataset[X, Y, Z], flankSize: Double): GenericGenomicDataset[(Sequence, X), (Sequence, Y)]

     (R-specific) Performs a sort-merge inner join between this genomic dataset and another genomic dataset.

     (R-specific) Performs a sort-merge inner join between this genomic dataset and another genomic dataset.

     In a sort-merge join, both genomic datasets are co-partitioned and sorted. The partitions are then zipped, and we do a merge join on each partition. The key equality function used for this join is the reference region overlap function. Since this is an inner join, all values who do not overlap a value from the other genomic dataset are dropped.

     genomicDataset

       The right genomic dataset in the join.

     flankSize

       Sets a flankSize for the distance between elements to be joined. If set to 0, an overlap is required to join two elements.

     returns

       Returns a new genomic dataset containing all pairs of keys that overlapped in the genomic coordinate space.

     Definition Classes
       GenomicDataset
123.  def shuffleRegionJoinAndGroupByLeft[X, Y <: Product, Z <: GenomicDataset[X, Y, Z]](genomicDataset: GenomicDataset[X, Y, Z])(implicit tTag: ClassTag[Sequence], xTag: ClassTag[X], tixTag: ClassTag[(Sequence, Iterable[X])], uiyTag: scala.reflect.api.JavaUniverse.TypeTag[(Sequence, Seq[Y])]): GenericGenomicDataset[(Sequence, Iterable[X]), (Sequence, Seq[Y])]

     Performs a sort-merge inner join between this genomic dataset and another genomic dataset, followed by a groupBy on the left value.

     Performs a sort-merge inner join between this genomic dataset and another genomic dataset, followed by a groupBy on the left value.

     In a sort-merge join, both genomic datasets are co-partitioned and sorted. The partitions are then zipped, and we do a merge join on each partition. The key equality function used for this join is the reference region overlap function. Since this is an inner join, all values who do not overlap a value from the other genomic dataset are dropped. In the same operation, we group all values by the left item in the genomic dataset.

     genomicDataset

       The right genomic dataset in the join.

     returns

       Returns a new genomic dataset containing all pairs of keys that overlapped in the genomic coordinate space, grouped together by the value they overlapped in the left genomic dataset.

     Definition Classes
       GenomicDataset
124.  def shuffleRegionJoinAndGroupByLeft[X, Y <: Product, Z <: GenomicDataset[X, Y, Z]](genomicDataset: GenomicDataset[X, Y, Z], flankSize: Long)(implicit tTag: ClassTag[Sequence], xTag: ClassTag[X], tixTag: ClassTag[(Sequence, Iterable[X])], uiyTag: scala.reflect.api.JavaUniverse.TypeTag[(Sequence, Seq[Y])]): GenericGenomicDataset[(Sequence, Iterable[X]), (Sequence, Seq[Y])]

     Performs a sort-merge inner join between this genomic dataset and another genomic dataset, followed by a groupBy on the left value.

     Performs a sort-merge inner join between this genomic dataset and another genomic dataset, followed by a groupBy on the left value.

     In a sort-merge join, both genomic datasets are co-partitioned and sorted. The partitions are then zipped, and we do a merge join on each partition. The key equality function used for this join is the reference region overlap function. Since this is an inner join, all values who do not overlap a value from the other genomic dataset are dropped. In the same operation, we group all values by the left item in the genomic dataset.

     genomicDataset

       The right genomic dataset in the join.

     flankSize

       Sets a flankSize for the distance between elements to be joined. If set to 0, an overlap is required to join two elements.

     returns

       Returns a new genomic dataset containing all pairs of keys that overlapped in the genomic coordinate space, grouped together by the value they overlapped in the left genomic dataset.

     Definition Classes
       GenomicDataset
125.  def shuffleRegionJoinAndGroupByLeft[X, Y <: Product, Z <: GenomicDataset[X, Y, Z]](genomicDataset: GenomicDataset[X, Y, Z], flankSize: Integer): GenericGenomicDataset[(Sequence, Iterable[X]), (Sequence, Seq[Y])]

     (Java-specific) Performs a sort-merge inner join between this genomic dataset and another genomic dataset, followed by a groupBy on the left value.

     (Java-specific) Performs a sort-merge inner join between this genomic dataset and another genomic dataset, followed by a groupBy on the left value.

     In a sort-merge join, both genomic datasets are co-partitioned and sorted. The partitions are then zipped, and we do a merge join on each partition. The key equality function used for this join is the reference region overlap function. In the same operation, we group all values by the left item in the genomic dataset.

     genomicDataset

       The right genomic dataset in the join.

     flankSize

       Sets a flankSize for the distance between elements to be joined. If set to 0, an overlap is required to join two elements.

     returns

       Returns a new genomic dataset containing all pairs of keys that overlapped in the genomic coordinate space, grouped together by the value they overlapped in the left genomic dataset.

     Definition Classes
       GenomicDataset
126.  def shuffleRegionJoinAndGroupByLeft[X, Y <: Product, Z <: GenomicDataset[X, Y, Z]](genomicDataset: GenomicDataset[X, Y, Z], flankSize: Double): GenericGenomicDataset[(Sequence, Iterable[X]), (Sequence, Seq[Y])]

     (R-specific) Performs a sort-merge inner join between this genomic dataset and another genomic dataset, followed by a groupBy on the left value.

     (R-specific) Performs a sort-merge inner join between this genomic dataset and another genomic dataset, followed by a groupBy on the left value.

     In a sort-merge join, both genomic datasets are co-partitioned and sorted. The partitions are then zipped, and we do a merge join on each partition. The key equality function used for this join is the reference region overlap function. In the same operation, we group all values by the left item in the genomic dataset.

     genomicDataset

       The right genomic dataset in the join.

     flankSize

       Sets a flankSize for the distance between elements to be joined. If set to 0, an overlap is required to join two elements.

     returns

       Returns a new genomic dataset containing all pairs of keys that overlapped in the genomic coordinate space, grouped together by the value they overlapped in the left genomic dataset.

     Definition Classes
       GenomicDataset
127.  def slice(regions: Iterable[ReferenceRegion]): SliceDataset

     Slice the sequences in this genomic dataset overlapping the specified regions.

     Slice the sequences in this genomic dataset overlapping the specified regions.

     regions

       Regions to overlap.

     returns

       Returns a new SliceDataset from the sequences in this genomic dataset sliced to overlap the specified regions.

     Definition Classes
       SequenceDataset
128.  def slice(region: ReferenceRegion): SliceDataset

     Slice the sequences in this genomic dataset overlapping the specified region.

     Slice the sequences in this genomic dataset overlapping the specified region.

     region

       Region to overlap.

     returns

       Returns a new SliceDataset from the sequences in this genomic dataset sliced to overlap the specified region.

     Definition Classes
       SequenceDataset
129.  def slice(maximumLength: Long): SliceDataset

     Slice the sequences in this genomic dataset to the specified maximum length.

     Slice the sequences in this genomic dataset to the specified maximum length.

     maximumLength

       Maximum length.

     returns

       Returns a new SliceDataset from the sequences in this genomic dataset sliced to the specified maximum length.

     Definition Classes
       SequenceDataset
130.  def sort(partitions: Int = rdd.partitions.length, stringency: ValidationStringency = ValidationStringency.STRICT)(implicit tTag: ClassTag[Sequence]): SequenceDataset

     Sorts our genome aligned data by reference positions, with references ordered by index.

     Sorts our genome aligned data by reference positions, with references ordered by index.

     partitions

       The number of partitions for the new genomic dataset.

     stringency

       The level of ValidationStringency to enforce.

     returns

       Returns a new genomic dataset containing sorted data.

     Definition Classes
       GenomicDataset
     Note

       Uses ValidationStringency to handle unaligned or where objects align to multiple positions.

     See also

       sortLexicographically

131.  def sort(): SequenceDataset

     Sorts our genome aligned data by reference positions, with references ordered by index.

     Sorts our genome aligned data by reference positions, with references ordered by index.

     returns

       Returns a new genomic dataset containing sorted data.

     Definition Classes
       GenomicDataset
     See also

       sortLexicographically

132.  def sortLexicographically(partitions: Int = rdd.partitions.length, storePartitionMap: Boolean = false, storageLevel: StorageLevel = StorageLevel.MEMORY_ONLY, stringency: ValidationStringency = ValidationStringency.STRICT)(implicit tTag: ClassTag[Sequence]): SequenceDataset

     Sorts our genome aligned data by reference positions, with references ordered lexicographically.

     Sorts our genome aligned data by reference positions, with references ordered lexicographically.

     partitions

       The number of partitions for the new genomic dataset.

     storePartitionMap

       A Boolean flag to determine whether to store the partition bounds from the resulting genomic dataset.

     storageLevel

       The level at which to persist the resulting genomic dataset.

     stringency

       The level of ValidationStringency to enforce.

     returns

       Returns a new genomic dataset containing sorted data.

     Definition Classes
       GenomicDataset
     Note

       Uses ValidationStringency to handle data that is unaligned or where objects align to multiple positions.

     See also

       sort

133.  def sortLexicographically(): SequenceDataset

     Sorts our genome aligned data by reference positions, with references ordered lexicographically.

     Sorts our genome aligned data by reference positions, with references ordered lexicographically.

     returns

       Returns a new genomic dataset containing sorted data.

     Definition Classes
       GenomicDataset
     See also

       sort

134.  lazy val spark: SparkSession
     Definition Classes
       GenomicDataset
     Annotations
       @transient()
135.  final def synchronized[T0](arg0: ⇒ T0): T0
     Definition Classes
       AnyRef
136.  def toDF(): DataFrame

     returns

       These data as a Spark SQL DataFrame.

     Definition Classes
       GenomicDataset
137.  def toReads: ReadDataset

     Convert this genomic dataset of sequences into reads.

     Convert this genomic dataset of sequences into reads.

     returns

       Returns a new ReadRDD converted from this genomic dataset of sequences.

     Definition Classes
       SequenceDataset
138.  def toSlices: SliceDataset

     Convert this genomic dataset of sequences into slices.

     Convert this genomic dataset of sequences into slices.

     returns

       Returns a new SliceDataset converted from this genomic dataset of sequences.

     Definition Classes
       SequenceDataset
139.  def toString(): String
     Definition Classes
       MultisampleGenomicDataset → GenomicDataset → AnyRef → Any
140.  def trace(mkr: Marker, msg: ⇒ Any, t: ⇒ Throwable): Unit
     Attributes
       protected
     Definition Classes
       Logging
141.  def trace(msg: ⇒ Any, t: ⇒ Throwable): Unit
     Attributes
       protected
     Definition Classes
       Logging
142.  def trace(msg: ⇒ Any): Unit
     Attributes
       protected
     Definition Classes
       Logging
143.  def transform(tFn: Function[JavaRDD[Sequence], JavaRDD[Sequence]]): SequenceDataset

     (Java-specific) Applies a function that transforms the underlying RDD into a new RDD.

     (Java-specific) Applies a function that transforms the underlying RDD into a new RDD.

     tFn

       A function that transforms the underlying RDD.

     returns

       A new genomic dataset where the RDD of genomic data has been replaced, but the metadata (sequence dictionary, and etc) are copied without modification.

     Definition Classes
       GenomicDataset
144.  def transform(tFn: (RDD[Sequence]) ⇒ RDD[Sequence]): SequenceDataset

     (Scala-specific) Applies a function that transforms the underlying RDD into a new RDD.

     (Scala-specific) Applies a function that transforms the underlying RDD into a new RDD.

     tFn

       A function that transforms the underlying RDD.

     returns

       A new genomic dataset where the RDD of genomic data has been replaced, but the metadata (sequence dictionary, and etc) are copied without modification.

     Definition Classes
       GenomicDataset
145.  def transformDataFrame(tFn: Function[DataFrame, DataFrame]): SequenceDataset

     (Java-specific) Applies a function that transforms the underlying DataFrame into a new DataFrame using the Spark SQL API.

     (Java-specific) Applies a function that transforms the underlying DataFrame into a new DataFrame using the Spark SQL API.

     tFn

       A function that transforms the underlying DataFrame as a DataFrame.

     returns

       A new genomic dataset where the DataFrame of genomic data has been replaced, but the metadata (sequence dictionary, and etc) are copied without modification.

     Definition Classes
       GenomicDataset
146.  def transformDataFrame(tFn: (DataFrame) ⇒ DataFrame)(implicit uTag: scala.reflect.api.JavaUniverse.TypeTag[Sequence]): SequenceDataset

     (Scala-specific) Applies a function that transforms the underlying DataFrame into a new DataFrame using the Spark SQL API.

     (Scala-specific) Applies a function that transforms the underlying DataFrame into a new DataFrame using the Spark SQL API.

     tFn

       A function that transforms the underlying data as a DataFrame.

     returns

       A new genomic dataset where the DataFrame of genomic data has been replaced, but the metadata (sequence dictionary, and etc) are copied without modification.

     Definition Classes
       GenomicDataset
147.  def transformDataset(tFn: Function[Dataset[Sequence], Dataset[Sequence]]): SequenceDataset

     (Java-specific) Applies a function that transforms the underlying Dataset into a new Dataset using the Spark SQL API.

     (Java-specific) Applies a function that transforms the underlying Dataset into a new Dataset using the Spark SQL API.

     tFn

       A function that transforms the underlying Dataset as a Dataset.

     returns

       A new genomic dataset where the Dataset of genomic data has been replaced, but the metadata (sequence dictionary, and etc) are copied without modification.

     Definition Classes
       DatasetBoundSequenceDataset → SequenceDataset → GenomicDataset
148.  def transformDataset(tFn: (Dataset[Sequence]) ⇒ Dataset[Sequence]): SequenceDataset

     (Scala-specific) Applies a function that transforms the underlying Dataset into a new Dataset using the Spark SQL API.

     (Scala-specific) Applies a function that transforms the underlying Dataset into a new Dataset using the Spark SQL API.

     tFn

       A function that transforms the underlying Dataset as a Dataset.

     returns

       A new genomic dataset where the Dataset of genomic data has been replaced, but the metadata (sequence dictionary, and etc) are copied without modification.

     Definition Classes
       DatasetBoundSequenceDataset → SequenceDataset → GenomicDataset
149.  def transmute[X, Y <: Product, Z <: GenomicDataset[X, Y, Z]](tFn: Function[JavaRDD[Sequence], JavaRDD[X]], convFn: Function2[SequenceDataset, RDD[X], Z]): Z

     (Java-specific) Applies a function that transmutes the underlying RDD into a new RDD of a different type.

     (Java-specific) Applies a function that transmutes the underlying RDD into a new RDD of a different type.

     tFn

       A function that transforms the underlying RDD.

     convFn

       The conversion function used to build the final RDD.

     returns

       A new genomid dataset where the RDD of genomic data has been replaced, but the metadata (sequence dictionary, and etc) are copied without modification.

     Definition Classes
       GenomicDataset
150.  def transmute[X, Y <: Product, Z <: GenomicDataset[X, Y, Z]](tFn: (RDD[Sequence]) ⇒ RDD[X])(implicit convFn: (SequenceDataset, RDD[X]) ⇒ Z): Z

     (Scala-specific) Applies a function that transmutes the underlying RDD into a new RDD of a different type.

     (Scala-specific) Applies a function that transmutes the underlying RDD into a new RDD of a different type.

     tFn

       A function that transforms the underlying RDD.

     returns

       A new genomic dataset where the RDD of genomic data has been replaced, but the metadata (sequence dictionary, and etc) are copied without modification.

     Definition Classes
       GenomicDataset
151.  def transmuteDataFrame[X, Y <: Product, Z <: GenomicDataset[X, Y, Z]](tFn: Function[DataFrame, DataFrame], convFn: GenomicDatasetConversion[Sequence, Sequence, SequenceDataset, X, Y, Z]): Z

     (Java-specific) Applies a function that transmutes the underlying DataFrame into a new DataFrame of a different type.

     (Java-specific) Applies a function that transmutes the underlying DataFrame into a new DataFrame of a different type.

     tFn

       A function that transforms the underlying DataFrame.

     returns

       A new genomic dataset where the DataFrame of genomic data has been replaced, but the metadata (sequence dictionary, and etc) are copied without modification.

     Definition Classes
       GenomicDataset
152.  def transmuteDataFrame[X, Y <: Product, Z <: GenomicDataset[X, Y, Z]](tFn: (DataFrame) ⇒ DataFrame)(implicit yTag: scala.reflect.api.JavaUniverse.TypeTag[Y], convFn: (SequenceDataset, Dataset[Y]) ⇒ Z): Z

     (Java-specific) Applies a function that transmutes the underlying DataFrame into a new DataFrame of a different type.

     (Java-specific) Applies a function that transmutes the underlying DataFrame into a new DataFrame of a different type.

     tFn

       A function that transforms the underlying DataFrame.

     returns

       A new genomic dataset where the DataFrame of genomic data has been replaced, but the metadata (sequence dictionary, and etc) are copied without modification.

     Definition Classes
       GenomicDataset
153.  def transmuteDataset[X, Y <: Product, Z <: GenomicDataset[X, Y, Z]](tFn: Function[Dataset[Sequence], Dataset[Y]], convFn: GenomicDatasetConversion[Sequence, Sequence, SequenceDataset, X, Y, Z]): Z

     (Java-specific) Applies a function that transmutes the underlying Dataset into a new Dataset of a different type.

     (Java-specific) Applies a function that transmutes the underlying Dataset into a new Dataset of a different type.

     tFn

       A function that transforms the underlying Dataset.

     returns

       A new genomic dataset where the Dataset of genomic data has been replaced, but the metadata (sequence dictionary, and etc) are copied without modification.

     Definition Classes
       GenomicDataset
154.  def transmuteDataset[X, Y <: Product, Z <: GenomicDataset[X, Y, Z]](tFn: (Dataset[Sequence]) ⇒ Dataset[Y])(implicit yTag: scala.reflect.api.JavaUniverse.TypeTag[Y], convFn: (SequenceDataset, Dataset[Y]) ⇒ Z): Z

     (Scala-specific) Applies a function that transmutes the underlying Dataset into a new Dataset of a different type.

     (Scala-specific) Applies a function that transmutes the underlying Dataset into a new Dataset of a different type.

     tFn

       A function that transforms the underlying Dataset.

     returns

       A new genomic dataset where the Dataset of genomic data has been replaced, but the metadata (sequence dictionary, and etc) are copied without modification.

     Definition Classes
       GenomicDataset
155.  val uTag: scala.reflect.api.JavaUniverse.TypeTag[Sequence]
     Definition Classes
       SequenceDataset → GenomicDataset
156.  def union(datasets: SequenceDataset*): SequenceDataset

     (Scala-specific) Unions together multiple genomic datasets.

     (Scala-specific) Unions together multiple genomic datasets.

     datasets

       Genomic datasets to union with this genomic dataset.

     Definition Classes
       SequenceDataset → GenomicDataset
157.  def union(datasets: List[SequenceDataset]): SequenceDataset

     (Java-specific) Unions together multiple genomic datasets.

     (Java-specific) Unions together multiple genomic datasets.

     datasets

       Genomic datasets to union with this genomic dataset.

     Definition Classes
       GenomicDataset
158.  def unpersist(): SequenceDataset

     Unpersists underlying RDD from memory or disk.

     Unpersists underlying RDD from memory or disk.

     returns

       Uncached GenomicDataset.

     Definition Classes
       DatasetBoundGenomicDataset → GenomicDataset
159.  val unproductFn: (Sequence) ⇒ Sequence
     Attributes
       protected
     Definition Classes
       SequenceDataset → GenomicDataset
160.  final def wait(arg0: Long, arg1: Int): Unit
     Definition Classes
       AnyRef
     Annotations
       @throws( ... )
161.  final def wait(arg0: Long): Unit
     Definition Classes
       AnyRef
     Annotations
       @throws( ... ) @native()
162.  final def wait(): Unit
     Definition Classes
       AnyRef
     Annotations
       @throws( ... )
163.  def warn(mkr: Marker, msg: ⇒ Any, t: ⇒ Throwable): Unit
     Attributes
       protected
     Definition Classes
       Logging
164.  def warn(msg: ⇒ Any, t: ⇒ Throwable): Unit
     Attributes
       protected
     Definition Classes
       Logging
165.  def warn(msg: ⇒ Any): Unit
     Attributes
       protected
     Definition Classes
       Logging
166.  def writePartitionedParquetFlag(pathName: String, partitionSize: Int): Unit

     Save partition size into the partitioned Parquet flag file.

     Save partition size into the partitioned Parquet flag file.

     pathName

       Path to save the file at.

     partitionSize

       Partition bin size, in base pairs, used in Hive-style partitioning.

     Definition Classes
       AvroGenomicDataset → GenomicDataset
167.  def writeTextRdd[T](rdd: RDD[T], outputPath: String, asSingleFile: Boolean, disableFastConcat: Boolean, optHeaderPath: Option[String] = None): Unit

     Writes an RDD to disk as text and optionally merges.

     Writes an RDD to disk as text and optionally merges.

     rdd

       RDD to save.

     outputPath

       Output path to save text files to.

     asSingleFile

       If true, combines all partition shards.

     disableFastConcat

       If asSingleFile is true, disables the use of the parallel file merging engine.

     optHeaderPath

       If provided, the header file to include.

     Attributes
       protected
     Definition Classes
       GenomicDataset

### Deprecated Value Members

1.  def finalize(): Unit
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( classOf[java.lang.Throwable] ) @Deprecated
   Deprecated

### Inherited from Serializable

### Inherited from Product

### Inherited from Equals

### Inherited from DatasetBoundGenomicDataset[Sequence, Sequence, SequenceDataset]

### Inherited from SequenceDataset

### Inherited from MultisampleGenomicDataset[Sequence, Sequence, SequenceDataset]

### Inherited from AvroGenomicDataset[Sequence, Sequence, SequenceDataset]

### Inherited from GenomicDataset[Sequence, Sequence, SequenceDataset]

### Inherited from Logging

### Inherited from AnyRef

### Inherited from Any

### Ungrouped